﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace ComponentLibrary1.limited_text
{
    [Serializable]
    internal class OutOfRangeException : ApplicationException
    {
        public OutOfRangeException(int min, int max) : base($"Введенное значение не входит в диапазон от {min} до {max}") { }
        public OutOfRangeException() : base() { }
        public OutOfRangeException(string message) : base(message) { }
        public OutOfRangeException(string message, Exception exception) : base(message, exception) { }
        protected OutOfRangeException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}
